Subject: [v6ops] Some comments on draft-palet-v6ops-p2p-links

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 5 Jul 2019 06:01:19 +0000

Hello Jordi

Just reviewed your I-D and I have some comments.

In section 3.2, you talk about the ‘mitigations’ but it would be nice to briefly mention the ping-pong attack before.

In section 3.3, do you have data backing the assumption that /112 and /120 are used on P2P links?

BTW, 3.4 is my recommendation in most of the cases ;-)

In section 4, s/ different unicast addressing types/ different unicast addressing scopes/  ?

I am afraid that I do not understand what is meant in the 2nd and 3rd paragraph of section 4.3. More description for paragraph 3 of section 6 would also be welcome.

Section 6.1, I have also seen ::a and ::b as this also work on /127. Before that the ::2 has 62 bits of leading zeroes and not 63 ;-)

Section 6.2, you should probably use /64 rather than 2001:db8:aaaa::1/48

Is there any reason why the last section is only about /64 and no more about /127 ?

You may want to think to remove RFC 6164, 7608 and 7707 from the normative references as they are more informative imho.

Hope this helps

-éric

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sat, 06 Jul 2019 13:00:35 +0200

Hi Eric,

Thanks a lot for your inputs!

Responses below, in-line.

If I get new inputs before Monday, I may still be able to update the existing text and have a new version before the cut-off.

El 5/7/19 8:35, "v6ops en nombre de Eric Vyncke (evyncke)" <[email-masked] en nombre de [email-masked]> escribió:

Hello Jordi

Very good point. I’m going to add specific text at section 3 to remark the section 5.1 from RFC614, as this applies to several of the choices.

Yes, in the survey I’ve been doing for IPv6 deployment (I will add a reference to it) I got this data:
/64 used by 62% of the responders
/127 by 7%
/126 by 2%
/112 by 2%
14% Other choices 
13% unnumbered

I’m not sure about this one. In many documents I see it is used “type”, but if there is any newer reference that prefers scope, I’m happy to change that. I see that you used that in RFC7404.

I am afraid that I do not understand what is meant in the 2nd and 3rd paragraph of section 4.3. 

I mean that RFC7404 already explains that using link-local is possible, and it has pros and cons, which are detailed there. However, if instead of a router it is a host, some operating systems may not have DHCPv6-PD support, so the host will only have the link-local address, and thus stay unnumbered.

More description for paragraph 3 of section 6 would also be welcome.

Yup, will expand it. I think Mikael raised this issue.

My example is if we use /64. So you mean having also an example for the case where the /64 is reserved but only /127 is used?

No, that’s on purpose (it has been tested).

Got your point, either I do both choices in different sections, or in the same section show one example for /64 and one for /127.

Right, willl reorganize them, thanks again!

Hope this helps

-éric

_______________________________________________ v6ops mailing list [email-masked] https://www.ietf.org/mailman/listinfo/v6ops 

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.